#
# spec file for package makedepend
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           makedepend
Version:        1.0.5
Release:        8.3
Summary:        Utility to create dependencies in makefiles
License:        MIT
Group:          Development/Tools/Building
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11-util-devel package up to version 7.6
Conflicts:      xorg-x11-util-devel <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The makedepend program reads each sourcefile in sequence and parses it
like a C-preprocessor so that it can correctly tell which #include
directives would be used in a compilation.

These dependencies are then written to a makefile in such a way that
make will know which object files must be recompiled when a dependency
has changed.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/makedepend
%{_mandir}/man1/makedepend.1%{?ext_man}

%changelog
* Sat Aug 17 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Don't crash if an option's argument is missing.
  + Assume signal handlers return void, as C89 requires.
  + Unsafe use of strcpy() in makedepend (fdo#56091).
  + Store len in a size_t instead of an int in redirect().
  + Mark fatalerr & catch as _X_NORETURN.
  + Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS.
  + Makedepend rename fails on CIFS mounted shares (fdo#52099).
  + autogen.sh: Implement GNOME Build API.
  + configure: Drop AM_MAINTAINER_MODE.
  + Fix a comment typo.
  + Convert more sprintf calls to snprintf.
  + Remove unnecessary casts from malloc/realloc calls.
  + Remove fallbacks for Imake configuration, assume autoconf.
  + Move i_listlen in struct inclist for better packing in 64-bit
    builds.
  + config: Remove unnecessary calls from configure.ac.
  + Update configure.ac initialization to X.Org standard form.
  + unifdef -U__UNIXOS2__.
  + makedepend: Build with automake-1.13 broken (fdo#59005).
  + configure.ac: use AM_MAINTAINER_MODE.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split makedepend from xorg-x11-util-devel.
  Initial version: 1.0.4.
